package seminar7;

abstract public class Employee {
    final protected String name;

    public Employee(String name) {
        this.name = name;
    }
    
    
    abstract public double salary();
    abstract public String payout();
    abstract public String typeString();

    @Override
    public String toString() {
        String s = name + " " + typeString() + " " 
                + salary() + " paid by: " + payout();
        return s;
    }
}
